## ros-kinetic-ecto-ros 0.4.8

=== debian/changelog ===
ros-kinetic-ecto-ros (0.4.8-0xenial) xenial; urgency=high

  * reenable some tests
  * fix constness
  * Expose tcp_nodelay parameter for subscribers.
  * cleaner dependency handling
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Nov 2015 23:00:00 -0000

ros-kinetic-ecto-ros (0.4.7-0xenial) xenial; urgency=high

  * remove code that was in cv_bridge
  * [Image2Mat] lazy conversion depending on presence of input.
    This lets the consumer of the cv mat decide how he wants to handle
    the situation when there is nothing coming through rather than
    the current situation where it will crash if the input shared
    ptr is null, or throw an exception (about unknown encoding)
    and terminate if it is an empty image message.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Jul 2015 22:00:00 -0000

ros-kinetic-ecto-ros (0.4.6-0xenial) xenial; urgency=high

  * do not install files from devel
    fixes #16 <https://github.com/plasmodic/ecto_ros/issues/16>
  * clean extensions
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 06 Feb 2015 23:00:00 -0000

ros-kinetic-ecto-ros (0.4.5-0xenial) xenial; urgency=high

  * Merge pull request #15 <https://github.com/plasmodic/ecto_ros/issues/15> from stonier/synch_fix
    Synchroniser fixes to behavior introduced by subscriber DO_OVER's
  * bugfixes for the synchroniser fixes.
  * a plasm should not be created in the configure function
    I fixed that as the doc was broken (make sphinx-doc did not work)
  * Merge pull request #13 <https://github.com/plasmodic/ecto_ros/issues/13> from stonier/lazy_publishing
    Exposing number of subscribers
  * Merge pull request #14 <https://github.com/plasmodic/ecto_ros/issues/14> from stonier/lazy_mat2img_publisher
    Lazy Mat2Image publisher blackbox
  * bugfix subscriber cell handling in synchronisers for recent DO_OVER update, closes #11 <https://github.com/plasmodic/ecto_ros/issues/11>
  * lazy mat2image publisher blackbox.
  * do not be lazy if it is a latched publisher.
  * publisher cells now provide a has_subscribers boolean output.
  * check for number of subscribers.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 10 Nov 2014 23:00:00 -0000

ros-kinetic-ecto-ros (0.4.4-0xenial) xenial; urgency=high

  * Merge pull request #10 <https://github.com/plasmodic/ecto_ros/issues/10> from stonier/get_subscribers
    Check for subscribers before publishing
  * get subscribers to give the scheduler a chance to make decisions instead of permanently blocking.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 05 Sep 2014 22:00:00 -0000

ros-kinetic-ecto-ros (0.4.3-0xenial) xenial; urgency=high

  * Actually apply the queue size
  * cleanup tests and dot not depend on vault.willowgarage.com
  * Actually apply the queue size
  * remove usage of SYSTEM in include_directories.
  * don't rely on the user setting up the catkin environment for the script.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-kinetic-ecto-ros (0.4.2-0xenial) xenial; urgency=high

  * fixes #2 <https://github.com/plasmodic/ecto_ros/issues/2>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 02 Apr 2014 22:00:00 -0000

ros-kinetic-ecto-ros (0.4.1-0xenial) xenial; urgency=high

  * fix farm errors on Indigo
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Mar 2014 23:00:00 -0000

ros-kinetic-ecto-ros (0.4.0-0xenial) xenial; urgency=high

  * add rosmsg dependency for message generation
  * use proper catkin to download test data
  * remove stack.xml now that Fuerte is dropped
  * use floats for K and make sure D is filled
  * remove Fuerte support
  * update url
  * remove Sphinx warnings
  * cleanup the CMake
  * ros_comm is a meta-package but rosbag is definitely needed
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 03 Mar 2014 23:00:00 -0000

ros-kinetic-ecto-ros (0.3.23-0xenial) xenial; urgency=high

  * use the proper catkin variable
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-kinetic-ecto-ros (0.3.22-0xenial) xenial; urgency=high

  * comply to the new catkin API
  * comply to the new ecto API
  * re-add missing dependencies
  * fix the renaming of genmsg
  * remove some warnings for the latest catkin
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Jan 2013 23:00:00 -0000

ros-kinetic-ecto-ros (0.3.21-0xenial) xenial; urgency=high

  * fix extra line
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 14:21:00 -0000

ros-kinetic-ecto-ros (0.3.20-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 14:13:00 -0000

ros-kinetic-ecto-ros (0.3.19-0xenial) xenial; urgency=high

  * fix the Python for Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 14:12:00 -0000

ros-kinetic-ecto-ros (0.3.18-0xenial) xenial; urgency=high

  * use catkin_pkg
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 01 Nov 2012 23:00:00 -0000

ros-kinetic-ecto-ros (0.3.17-0xenial) xenial; urgency=high

  * use the new ecto_catkin interface
  * add missing dependencies
  * retrieve data fro mthe package.xml
  * remove electric support
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Oct 2012 23:00:00 -0000

ros-kinetic-ecto-ros (0.3.16-0xenial) xenial; urgency=high

  * output error message if any
  * use intersphinx for docs
  * comply to the new API
  * comply to the new catkin API

