=== debian/control ===
Source: ros-kinetic-ecto-ros
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-cv-bridge, ros-kinetic-ecto, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-rosmsg, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://plasmodic.github.io/ecto_ros
Standards-Version: 3.9.2

Package: ros-kinetic-ecto-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-cv-bridge, ros-kinetic-ecto, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: A set of generic cells to interact with ROS
